@echo off
cls
echo __________________________________________________________
echo * This script sets up the files neccessary for a batch    
echo * script to install Java 1.4.2, Sentillion CCOW, and the  
echo * HealtheVet Desktop                                      
echo * It prompts you for two values:                          
echo *  1. The path to your config.xml file            
echo *  2. Network address of your ccow Vault                   
echo * If you don't have either of those values               
echo * please hit control-C and re-run the script when you are
echo * ready.                                                 
echo _________________________________________________________
pause
set BASEDIR=%~p0
cd %BASEDIR%
if not exist etc\cminstall.bat goto :nodriveerror 
:mapped
if exist cminstall.bat goto :redo
:start

echo Please enter the path to your configuration file (usually config.xml)
echo example: \\myserver\hevd\config.xml
echo NOTE:  If your path contains spaces, you must surround it with two double quotes ""
set /P CONFIGPATH=


echo Please enter the network address of your CCOW vault
echo example: ccow.myvamc.med.va.gov
set /P VAULTIP=


echo set CONFIGPATH=%CONFIGPATH% > etc\settings.txt
copy etc\settings.txt+etc\settings.orig etc\settings.bat
echo szEdit1=%VAULTIP% > etc\setup2.txt
copy etc\setup1.txt+etc\setup2.txt+etc\setup3.txt etc\setup.iss
copy etc\cminstall.bat cminstall.bat
copy etc\setup.iss applications\sentillion\setup.iss

echo Script Configured successfully
echo Use "cminstall" to install the software on each workstation
echo You can run "construct.bat" again if you need to change these settings
pause
goto :end

:nodriveerror
rem if we got called from a UNC, this may do the trick
pushd \\%BASEDIR%
cls
if exist etc\cminstall.bat goto :mapped
rem if it's still not there, time to bail out
echo Sorry...I can't find the files I need to make this work.
echo Please re-extract the zip and try again
goto :end

:redo
cls
echo The presence of a cminstall.bat file indicates that
echo you have probably already done this setup.
echo If you continue, you will overwrite your
echo previous values.
echo hit control-C to exit, any other key to continue
pause
cls
goto :start

:end
